Main Page Modules Alphabetical List Data Structures File List Data Fields Globals # Intel® IXP4XX Product Line Access Layer API & Codelet Data Structures Here are the data structures with brief descriptions:
ChannelisedStats | Ingroup IxHssAccCodeletCom
GeneralStats | Ingroup IxHssAccCodeletCom
ix_ossl_thread_main_info_t | This type defines thread main info
ix_ossl_time_t | This type defines OSSL time
IxAtmCodeletStats | Codelet statistics
IxAtmdAccUtopiaConfig | Utopia configuration
IxAtmdAccUtopiaConfig::UtRxConfig_ | Utopia Rx config Register
IxAtmdAccUtopiaConfig::UtRxDefineIdle_ | Utopia Rx idle cells config Register
IxAtmdAccUtopiaConfig::UtRxEnableFields_ | Utopia Rx enable Register
IxAtmdAccUtopiaConfig::UtRxStatsConfig_ | Utopia Rx stats config Register
IxAtmdAccUtopiaConfig::UtRxTransTable0_ | Utopia Rx translation table Register
IxAtmdAccUtopiaConfig::UtRxTransTable1_ | Utopia Rx translation table Register
IxAtmdAccUtopiaConfig::UtRxTransTable2_ | Utopia Rx translation table Register
IxAtmdAccUtopiaConfig::UtRxTransTable3_ | Utopia Rx translation table Register
IxAtmdAccUtopiaConfig::UtRxTransTable4_ | Utopia Rx translation table Register
IxAtmdAccUtopiaConfig::UtRxTransTable5_ | Utopia Rx translation table Register
IxAtmdAccUtopiaConfig::UtSysConfig_ | NPE setup Register
IxAtmdAccUtopiaConfig::UtTxConfig_ | Utopia Tx Config Register
IxAtmdAccUtopiaConfig::UtTxDefineIdle_ | Utopia Tx idle cells Register
IxAtmdAccUtopiaConfig::UtTxEnableFields_ | Utopia Tx ienable fields Register
IxAtmdAccUtopiaConfig::UtTxStatsConfig_ | Utopia Tx stats Register
IxAtmdAccUtopiaConfig::UtTxTransTable0_ | Utopia Tx translation table Register
IxAtmdAccUtopiaConfig::UtTxTransTable1_ | Utopia Tx translation table Register
IxAtmdAccUtopiaConfig::UtTxTransTable2_ | Utopia Tx translation table Register
IxAtmdAccUtopiaConfig::UtTxTransTable3_ | Utopia Tx translation table Register
IxAtmdAccUtopiaConfig::UtTxTransTable4_ | Utopia Tx translation table Register
IxAtmdAccUtopiaConfig::UtTxTransTable5_ | Utopia Tx translation table Register
IxAtmdAccUtopiaStatus | Utopia status
IxAtmdAccUtopiaStatus::UtRxCellConditionStatus_ | Utopia Rx Status Register
IxAtmdAccUtopiaStatus::UtTxCellConditionStatus_ | Utopia Tx Status Register
IxAtmmPortCfg | Structure contains port-specific information required to initialize IxAtmm, and specifically, the IXP425 UTOPIA Level-2 device
IxAtmmVc | This structure describes the required attributes of a virtual connection
IxAtmScheduleTable | This structure defines a schedule table which gives details on which data (from which VCs) should be transmitted for a forthcoming period of time for a particular port and the order in which that data should be transmitted
IxAtmScheduleTableEntry | ATM Schedule Table entry
IxAtmTrafficDescriptor | Structure describing an ATM traffic contract for a Virtual Connection (VC)
IxEthAccMacAddr | The IEEE 802.3 Ethernet MAC address structure
IxEthDBMacAddr | The IEEE 802.3 Ethernet MAC address structure
IxEthDBPortDefinition | Port Definition - a structure contains the Port type and capabilities
IxEthEthObjStats | This struct defines the statistics returned by this component. The component returns MIB2 EthObj variables which should are obtained from the hardware or maintained by this component
IxHssAccCodeletStats | Ingroup IxHssAccCodeletCom
IxHssAccConfigParams | Structure containing HSS configuration parameters
IxHssAccHdlcMode | This structure contains 56Kbps, HDLC-mode configuration parameters
IxHssAccPktHdlcFraming | This structure contains information required by the NPE to configure the HDLC co-processor
IxHssAccPortConfig | Structure containing HSS port configuration parameters
IxMbufPool | Implementation of buffer pool structure for use with non-VxWorks OS
IxNpeA_NpePacketDescriptor | HSS Packetized NpePacket Descriptor Structure
IxNpeA_RxAtmVc | Rx Descriptor definition
IxNpeA_TxAtmVc | Tx Descriptor definition
IxNpeDlImageId | Image Id to identify each image contained in an image library
IxNpeMhMessage | The 2-word message structure to send to and receive from the NPEs
IxOamITU610Cell | OAM ITU610 Cell
IxOamITU610GenericPayload | Generic payload isn't a real payload but is used for checking which payload type a received OAM cell is
IxOamITU610LbPayload | Oam cells payload typedefs
IxOamITU610Payload | OAM ITU610 Payload
IxPerfProfAccBusPmuResults | Results obtained from running the Bus Pmu component. The results are obtained when the get functions is called
IxPerfProfAccXcycleResults | Results obtained from Xcycle run
IxPerfProfAccXscalePmuEvtCnt | Contains results of a counter
IxPerfProfAccXscalePmuResults | Contains results of counters and their overflow
IxPerfProfAccXscalePmuSamplePcProfile | Contains summary of samples taken
IxQMgrQInlinedReadWriteInfo | Internal structure to facilitate inlining functions in IxQMgr.h
ixUARTDev | Device descriptor for the UART
ixUARTStats | Statistics for the UART
PacketisedStats | Ingroup IxHssAccCodeletCom
USBDevice | USBDevice
USBDeviceCounters | File usbprivatetypes.h
USBSetupPacket | Standard USB Setup packet components, see the USB Specification 1.1
Automatically generated from sources. © Intel Corp. 2003